package debug

import (
	"fmt"
)

func Panic(v any) {
	if log != nil {
		log.Panic(v)
	}
	panic(v)
}

func Panicf(format string, v ...any) {
	if log != nil {
		log.Panicf(format, v...)
	}
	panic(fmt.Sprintf(format, v...))
}
